Issue 76119 - implement client-side, optional logging in SDBC/X drivers
Summary: implement client-side, optional logging in SDBC/X drivers
Status: CLOSED FIXED
Alias: None
Product: Base
Classification: Application
Component: code (show other issues)
Version: OOo 2.2
Hardware: All All
: P3 Trivial (vote)
Target Milestone: OOo 2.3
Assignee: marc.neumann
QA Contact: issues@dba
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-04-05 08:04 UTC by Frank Schönheit
Modified: 2009-07-20 14:51 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Frank Schönheit 2007-04-05 08:04:56 UTC
To be able to diagnose client-side problems with unusual database/versions and
database/drivers, it would be useful if we had client-side logging in our SDBC
drivers, which can be switched on by the user, and could us provide with a log
of what's going on.

There's no such facility at the moment. This task here requests to implement at
least the infrastructure for it, and some basic logging in the most important
places (like obtaining meta data and executing statements).
Comment 1 Frank Schönheit 2007-04-05 08:19:21 UTC
accepting
Comment 2 Frank Schönheit 2007-04-12 20:25:05 UTC
implemented in CWS sdblogging for the JDBC driver, which is sufficient for now.
Documentation in the Wiki about how to use it yet to come.
Comment 3 Frank Schönheit 2007-05-23 09:58:12 UTC
documented the logging facilities of the JDBC bridge at
http://wiki.services.openoffice.org/wiki/Logging_JDBC_Activity, the logging
facilities in general at http://wiki.services.openoffice.org/wiki/Category:Logging
Comment 4 Frank Schönheit 2007-05-23 10:26:18 UTC
fs-> msc: please verify in CWS sdblogging
Comment 5 Frank Schönheit 2007-05-23 12:48:30 UTC
targeting to 2.3, since the fix is part of a CWS aiming for this release
Comment 6 marc.neumann 2007-06-21 12:07:43 UTC
verified in CWS sdblogging

find more information about this CWS, like when it is available in the master
builds, in EIS, the Environment Information System:
http://eis.services.openoffice.org/EIS2/cws.ShowCWS?Path=SRC680%2Fsdblogging
Comment 7 thorsten.ziehm 2009-07-20 14:51:40 UTC
This issue is closed automatically and wasn't rechecked in a current version of
OOo. The fixed issue should be integrated in OOo since more than half a year. If
you think this issue isn't fixed in a current version (OOo 3.1), please reopen
it and change the field 'Target Milestone' accordingly.

If you want to download a current version of OOo =>
http://download.openoffice.org/index.html
If you want to know more about the handling of fixed/verified issues =>
http://wiki.services.openoffice.org/wiki/Handle_fixed_verified_issues